summaryrefslogtreecommitdiff
path: root/tests/chmod/c-option.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/chmod/c-option.sh')
-rwxr-xr-xtests/chmod/c-option.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/tests/chmod/c-option.sh b/tests/chmod/c-option.sh
index a1782c3d8..03e1db9a6 100755
--- a/tests/chmod/c-option.sh
+++ b/tests/chmod/c-option.sh
@@ -31,7 +31,7 @@ chmod u=rwx $file || fail=1
chmod -c g=rwx $file > out || fail=1
chmod -c g=rwx $file > empty || fail=1
-test -s empty && fail=1
+compare /dev/null empty || fail=1
case "$(cat out)" in
"mode of 'f' changed from 0744 "?rwxr--r--?" to 0774 "?rwxrwxr--?) ;;
*) cat out; fail=1 ;;